\name{designMatrix}
\alias{designMatrix}
\title{Construct Design Matrix}
\description{
Construct a design matrix from the data.frame of target information.
Currently only for two color array experiments using a common reference.
}
\usage{
designMatrix(targets, ref) 
}
\arguments{
  \item{targets}{data.frame with columns \code{Cy3} and \code{Cy5} specifying which RNA was hybridized to each array}
  \item{ref}{character string giving name of reference RNA}
}

\value{
The design matrix.
}

\details{
There is a need for design matrices for direct two-color design and for single-channel experiments but, this version is only for reference designs.
}

\seealso{
An overview of linear model functions in limma is given by \link{5.LinearModels}.
}

\author{Gordon Smyth}

\examples{
targets <- data.frame(Cy3=c("Ref","Control","Ref","Treatment"),Cy5=c("Control","Ref","Treatment","Ref"))
designMatrix(targets, "Ref")
}

\keyword{regression}
